@echo off
chrset
set NETHACKOPTIONS=name:Kane-K
if not exist kane.sav goto restore
goto run
:restore
Echo Checking for Saved Characters...
if not exist sav\kane.sav goto run
Echo Restoring Character File...
copy sav\kane.sav > nul
:run
nethack %1 %2 %3 %4 %5 %6 %7 %8 %9
pause
mode co80
if exist kane.sav goto backup
goto end
:backup
Echo Backing Up Character File
copy kane.sav sav > nul
:end
set NETHACKOPTIONS=
